List Customers

List all customers

Query parameters

fieldsstringOptionalformat: "^([a-zA-Z\.],?)+$"
Specific fields requested in the response. Defaults to all fields.
sortstringOptionalformat: "^([a-zA-Z]+(:(asc|desc)+)?,?)+$"

CSV of sort value pairs by field (eg. date:asc). Sorts descending date fields by default and ascending elsewhere

filterstringOptional

Filter expression as defined by Fortress Query Language (FQL)

pageintegerOptionalDefaults to 0
the page number when used with pagination, defaults to 0
limitintegerOptionalDefaults to 10

How many items to return at one time (default 10)

Response

A paged array of customers
assetslist of objects
attachmentslist of objects
birthDatestringformat: "date"
createdAtdatetime
deletedAtdatetime
emailstring
firstNamestring
genderstring
glEntrieslist of objects
headOfHouseholdboolean
Indicates whether the customer is the head of household
householdobject
householdIdstringformat: "uuid"
idstringformat: "uuid"
idempotencyIdstringformat: "uuid"
lastNamestring
middleNamestring
organizationIdstringformat: "uuid"
phonestring
preferredNamestring
propertyobject
propertyIdstringformat: "uuid"
readableIdstring
relationshipenum

Relationship of the customer to the head of household (null for head of household)

reversalslist of objects
statusenum
Allowed values:
suffixstring
transactionslist of objects
updatedAtdatetime
workOrderslist of objects